Page MenuHomePhabricator

test sending individual mails from fermium during migration
Closed, ResolvedPublic

Description

after having shut down exim on sodium and having rsynced the spool directory,

test delivering a single mail out of the queue, then multiple ones,

document exim test commands here

Event Timeline

Dzahn created this task.Aug 27 2015, 12:43 AM
Dzahn claimed this task.
Dzahn raised the priority of this task from to High.
Dzahn updated the task description. (Show Details)
Dzahn added subscribers: ori, MZMcBride, Dzahn and 5 others.
Dzahn added a comment.Sep 9 2015, 1:52 AM
root@fermium:/var/spool/exim4/input# exim -v postmaster@wikimedia.org
From: dzahn@wikimedia.org
To: dzahn@wikimedia.org
Subject: Testing exim on Fermium

This is a Test

LOG: MAIN
  <= root@fermium.wikimedia.org U=root P=local S=390
root@fermium:/var/spool/exim4/input# delivering 1ZZUWZ-0002KZ-Hv
Connecting to polonium.wikimedia.org [2620:0:861:3:208:80:154:90]:25 from 2620:0:861:3:208:80:154:74 ... connected
  SMTP<< 220 polonium.wikimedia.org ESMTP Exim 4.82 Ubuntu Wed, 09 Sep 2015 01:50:41 +0000
  SMTP>> EHLO fermium.wikimedia.org
  SMTP<< 250-polonium.wikimedia.org Hello fermium.wikimedia.org [2620:0:861:3:208:80:154:74]
         250-SIZE 52428800
         250-8BITMIME
         250-PIPELINING
         250 HELP
  SMTP>> MAIL FROM:<root@fermium.wikimedia.org> SIZE=1424
  SMTP>> RCPT TO:<postmaster@wikimedia.org>
  SMTP>> DATA
  SMTP<< 250 OK
  SMTP<< 250 Accepted
  SMTP<< 354 Enter message, ending with "." on a line by itself
  SMTP>> writing message and terminating "."
  SMTP<< 250 OK id=1ZZUX3-0007s4-6n
  SMTP>> QUIT
LOG: MAIN
  => postmaster@wikimedia.org R=dnslookup T=remote_smtp_signed S=405 H=polonium.wikimedia.org [2620:0:861:3:208:80:154:90] C="250 OK id=1ZZUX3-0007s4-6n" DT=0s
LOG: MAIN
  Completed
Dzahn closed this task as Resolved.Sep 18 2015, 3:26 PM

sent a mail to postmaster@ and it arrived